Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356438

Summary: Duplicated widgets in Dashboard
Product: Red Hat CloudForms Management Engine Reporter: Dmitry Misharov <dmisharo>
Component: UI - OPSAssignee: Milan Z√°zrivec <mzazrivec>
Status: CLOSED WONTFIX QA Contact: Dmitry Misharov <dmisharo>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.5.0CC: dmisharo, hkataria, jhardy, jprause, mpovolny, mzazrivec, obarenbo, simaishi
Target Milestone: GAKeywords: ZStream
Target Release: 5.5.6   
Hardware: All   
OS: All   
Whiteboard: ui:dashboard
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1333795 Environment:
Last Closed: 2018-12-11 15:24:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1333795    
Bug Blocks:    
Attachments:
Description Flags
Screenshot of the bug none

Comment 2 Dmitry Misharov 2016-07-14 06:50:22 UTC
Created attachment 1179627 [details]
Screenshot of the bug

Comment 3 Harpreet Kataria 2016-07-27 14:24:58 UTC
Milan,

Can you cherry-pick the fix on to 5.5.z.

Thanks,
~Harpreet

Comment 5 CFME Bot 2016-08-19 15:06:41 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=46810e3cf2f7cd50286cc635b961ec621b3647e6

commit 46810e3cf2f7cd50286cc635b961ec621b3647e6
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed May 11 18:17:24 2016 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Aug 18 10:57:51 2016 +0200

    Don't allow adding duplicate widgets into a dashboard
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1356438
    (cherry picked from commit 9714a9a3e8e764f8e07b8422840b3fd6620f27a6)

 app/assets/javascripts/miq_application.js     |  2 +-
 app/controllers/dashboard_controller.rb       | 15 ++++++++++-----
 spec/controllers/dashboard_controller_spec.rb | 24 ++++++++++++++++++++++++
 3 files changed, 35 insertions(+), 6 deletions(-)

Comment 6 CFME Bot 2016-08-19 15:06:50 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8d4556500eb30eb007087615052df91dc034f2b5

commit 8d4556500eb30eb007087615052df91dc034f2b5
Merge: dbdfa90 46810e3
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Aug 19 11:05:47 2016 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Aug 19 11:05:47 2016 -0400

    Merge branch 'dont_allow_adding_multiple_widgets_into_dashboard' into '5.5.z'
    
    Don't allow adding duplicate widgets into a dashboard
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1356438
    (cherry picked from commit 9714a9a3e8e764f8e07b8422840b3fd6620f27a6)
    
    See merge request !1027

 app/assets/javascripts/miq_application.js     |  2 +-
 app/controllers/dashboard_controller.rb       | 15 ++++++++++-----
 spec/controllers/dashboard_controller_spec.rb | 24 ++++++++++++++++++++++++
 3 files changed, 35 insertions(+), 6 deletions(-)